Loading...
Searching...
No Matches
Dune::OverlappingAssignerHelper< ILUNSubdomainSolver< M, X, Y >, false > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::OverlappingAssignerHelper< ILUNSubdomainSolver< M, X, Y >, false >:

## Public Types

typedef M | matrix_type
typedef Y::field_type | field_type
typedef Y::block_type | block_type
typedef matrix_type::size_type | size_type

## Public Member Functions

| OverlappingAssignerHelper (std::size_t maxlength, const M &mat, const Y &b, X &x)
| Constructor.
void | deallocate ()
| Deallocates memory of the local vector.
void | resetIndexForNextDomain ()
| Resets the local index to zero.
X & | lhs ()
| Get the local left hand side.
Y & | rhs ()
| Get the local right hand side.
void | relaxResult (field_type relax)
| relax the result.
void | operator() (const size_type &domain)
| calculate one entry of the local defect.
void | assignResult (block_type &res)
| Assigns the block to the current local index. At the same time the local defect is calculated for the index and stored in the rhs. Afterwards the is incremented for the next block.

## Member Typedef Documentation

## block_type

template<class M, class X, class Y>

typedef Y::block_type Dune::OverlappingAssignerILUBase< M, X, Y >::block_type

inherited

## field_type

template<class M, class X, class Y>

typedef Y::field_type Dune::OverlappingAssignerILUBase< M, X, Y >::field_type

inherited

## matrix_type

template<class M, class X, class Y>

typedef M Dune::OverlappingAssignerILUBase< M, X, Y >::matrix_type

inherited

## size_type

template<class M, class X, class Y>

typedef matrix_type::size_type Dune::OverlappingAssignerILUBase< M, X, Y >::size_type

inherited

## Constructor & Destructor Documentation

## OverlappingAssignerHelper()

template<class M, class X, class Y>

Dune::OverlappingAssignerHelper< ILUNSubdomainSolver< M, X, Y >, false >::OverlappingAssignerHelper | ( | std::size_t | maxlength,
|  | const M & | mat,
|  | const Y & | b,
|  | X & | x )

inline

Constructor.

Parameters

  maxlength | The maximum entries over all subdomains.
  mat | The global matrix.
  b | the global right hand side.
  x | the global left hand side.

The documentation for this class was generated from the following file:

- overlappingschwarz.hh